local t=Def.ActorFrame{};

if PREFSMAN:GetPreference("ShowLyrics") then
	t[#t+1]=Def.ActorFrame{
		InitCommand=function(self)
			local rp=0
			for pn in ivalues(PlayerNumber) do
				if IsReverse(pn) then
					rp=rp+1;
				end;
			end;
			if GAMESTATE:IsDemonstration() then
				(THEME:GetMetric("ScreenGameplay","LyricDisplaySetOneReverseCommand"))(self);
			elseif rp==0 then
				(THEME:GetMetric("ScreenGameplay","LyricDisplaySetNoReverseCommand"))(self);
			elseif rp==GAMESTATE:GetNumPlayersEnabled() then
				(THEME:GetMetric("ScreenGameplay","LyricDisplaySetReverseCommand"))(self);
			else
				(THEME:GetMetric("ScreenGameplay","LyricDisplaySetOneReverseCommand"))(self);
			end;
		end;
		LyricSet();
	};
end;

return t;